## ros-one-moveit-planners-ompl 1.1.16-49jammy.20251027.2152

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_planners_ompl)

find_package(Boost REQUIRED system filesystem date_time thread serialization)
find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_ros_planning
  roscpp
  rosconsole
  pluginlib
  tf2
  dynamic_reconfigure
)
moveit_build_options()

find_package(ompl REQUIRED)
if(TARGET ompl::ompl)
  moveit_get_include_and_libs_from_target(OMPL ompl::ompl)
endif()

generate_dynamic_reconfigure_options("ompl_interface/cfg/OMPLDynamicReconfigure.cfg")

catkin_package(
  LIBRARIES
    moveit_ompl_interface
  INCLUDE_DIRS
    ompl_interface/include
  CATKIN_DEPENDS
    dynamic_reconfigure
    moveit_core
    roscpp
  DEPENDS
    OMPL
)

include_directories(ompl_interface/include)
include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${OMPL_INCLUDE_DIRS})

add_subdirectory(ompl_interface)

install(FILES ompl_interface_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== ompl_interface/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_ompl_interface)

add_library(${MOVEIT_LIB_NAME}
  src/ompl_interface.cpp
  src/planning_context_manager.cpp
  src/model_based_planning_context.cpp
  src/parameterization/model_based_state_space.cpp
  src/parameterization/model_based_state_space_factory.cpp
  src/parameterization/joint_space/joint_model_state_space.cpp
  src/parameterization/joint_space/joint_model_state_space_factory.cpp
  src/parameterization/work_space/pose_model_state_space.cpp
  src/parameterization/work_space/pose_model_state_space_factory.cpp
  src/detail/threadsafe_state_storage.cpp
  src/detail/state_validity_checker.cpp
  src/detail/projection_evaluators.cpp
  src/detail/goal_union.cpp
  src/detail/constraints_library.cpp
  src/detail/constrained_sampler.cpp
  src/detail/constrained_goal_sampler.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

find_package(OpenMP REQUIRED)

target_link_libraries(${MOVEIT_LIB_NAME} ${OMPL_LIBRARIES} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

add_executable(moveit_generate_state_database scripts/generate_state_database.cpp)
target_link_libraries(moveit_generate_state_database ${MOVEIT_LIB_NAME})
set_target_properties(moveit_generate_state_database PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
set_target_properties(moveit_generate_state_database PROPERTIES OUTPUT_NAME "generate_state_database")

add_library(moveit_ompl_planner_plugin src/ompl_planner_manager.cpp)
set_target_properties(moveit_ompl_planner_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(moveit_ompl_planner_plugin ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(moveit_ompl_planner_plugin ${${PROJECT_NAME}_EXPORTED_TARGETS}) # don't build until necessary msgs are available

install(TARGETS ${MOVEIT_LIB_NAME} moveit_ompl_planner_plugin
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(TARGETS moveit_generate_state_database
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_state_space test/test_state_space.cpp)
  target_link_libraries(test_state_space ${MOVEIT_LIB_NAME} ${OMPL_LIBRARIES})
  set_target_properties(test_state_space PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")

  find_package(rostest REQUIRED)
  find_package(tf2_eigen REQUIRED)

  add_rostest_gtest(test_planning_context_manager
    test/test_planning_context_manager.test
    test/test_planning_context_manager.cpp)
  target_link_libraries(test_planning_context_manager ${MOVEIT_LIB_NAME} ${OMPL_LIBRARIES} ${catkin_LIBRARIES} ${tf2_eigen_LIBRARIES})

  catkin_add_gtest(test_state_validity_checker test/test_state_validity_checker.cpp)
  target_link_libraries(test_state_validity_checker ${MOVEIT_LIB_NAME} ${OMPL_LIBRARIES} ${catkin_LIBRARIES})
  set_target_properties(test_state_validity_checker PROPERTIES LINK_FLAGS "${OpenMP_CXX_FLAGS}")
endif()

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-49jammy.20251027.2152) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 21:52:32 +0000

ros-one-moveit-planners-ompl (1.1.16-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.15-0jammy) jammy; urgency=high

  * Fix constrained-based planning / PoseModelStateSpace (#3615 <https://github.com/ros-planning/moveit/issues/3615>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.14-0jammy) jammy; urgency=high

  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * Install generate_state_database.launch (#3510 <https://github.com/ros-planning/moveit/issues/3510>)
  * Contributors: Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.13-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.12-0jammy) jammy; urgency=high

  * Add AITstar, BITstar and ABITstar planners from OMPL >= 1.5 (#3347 <https://github.com/ros-planning/moveit/issues/3347>)
  * Differential drive for planar Joints (#3359 <https://github.com/ros-planning/moveit/issues/3359>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Contributors: Robert Haschke, Scott Chow, alaflaquiere

 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.11-0jammy) jammy; urgency=high

  * Improve processing of multiple planning attempts: skip remaining planning attempts if solution was found (#3261 <https://github.com/ros-planning/moveit/issues/3261>)
  * Convert OMPL status to ``MoveItErrorCode`` in the OMPL interface (#3257 <https://github.com/ros-planning/moveit/issues/3257>)
  * Contributors: AndyZe, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.10-0jammy) jammy; urgency=high

  * Remove ConstraintSampler::project() (#3170 <https://github.com/ros-planning/moveit/issues/3170>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Cleanup OMPL's PlanningContextManager's protected API
  * planning_context_manager: rename protected methods
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.9-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.7-0jammy) jammy; urgency=high

  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit/issues/2981>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix ConstrainedGoalSampler (#2811 <https://github.com/ros-planning/moveit/issues/2811>): actually call ``sample()`` (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
  * Provide override for missing isValid method (#2802 <https://github.com/ros-planning/moveit/issues/2802>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Mathias Lüdtke, Michael Görner, Robert Haschke, pvanlaar, v4hn, werner291

 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Add test to ompl interface for StateValidityChecker (#2247 <https://github.com/ros-planning/moveit/issues/2247>)
  * Add test for PlanningContextManager in ompl interface (#2248 <https://github.com/ros-planning/moveit/issues/2248>)
  * Contributors: Jeroen, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.1-0jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.0-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-planners-ompl (1.0.6-0jammy) jammy; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)


## ros-one-moveit-planners-ompl 1.1.16-49jammy.20251208.0840

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-49jammy.20251208.0840) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 08:40:06 +0000

## ros-one-moveit-planners-ompl 1.1.16-49noble.20251027.2223

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-49noble.20251027.2223) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 Oct 2025 22:23:14 +0000

ros-one-moveit-planners-ompl (1.1.16-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.15-0noble) noble; urgency=high

  * Fix constrained-based planning / PoseModelStateSpace (#3615 <https://github.com/ros-planning/moveit/issues/3615>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.14-0noble) noble; urgency=high

  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * Install generate_state_database.launch (#3510 <https://github.com/ros-planning/moveit/issues/3510>)
  * Contributors: Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.13-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.12-0noble) noble; urgency=high

  * Add AITstar, BITstar and ABITstar planners from OMPL >= 1.5 (#3347 <https://github.com/ros-planning/moveit/issues/3347>)
  * Differential drive for planar Joints (#3359 <https://github.com/ros-planning/moveit/issues/3359>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Contributors: Robert Haschke, Scott Chow, alaflaquiere

 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.11-0noble) noble; urgency=high

  * Improve processing of multiple planning attempts: skip remaining planning attempts if solution was found (#3261 <https://github.com/ros-planning/moveit/issues/3261>)
  * Convert OMPL status to ``MoveItErrorCode`` in the OMPL interface (#3257 <https://github.com/ros-planning/moveit/issues/3257>)
  * Contributors: AndyZe, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.10-0noble) noble; urgency=high

  * Remove ConstraintSampler::project() (#3170 <https://github.com/ros-planning/moveit/issues/3170>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Cleanup OMPL's PlanningContextManager's protected API
  * planning_context_manager: rename protected methods
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.9-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.8-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.7-0noble) noble; urgency=high

  * Use termination condition for simplification step (#2981 <https://github.com/ros-planning/moveit/issues/2981>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Simon Schmeisser

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Fix ConstrainedGoalSampler (#2811 <https://github.com/ros-planning/moveit/issues/2811>): actually call ``sample()`` (#2872 <https://github.com/ros-planning/moveit/issues/2872>)
  * Provide override for missing isValid method (#2802 <https://github.com/ros-planning/moveit/issues/2802>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Mathias Lüdtke, Michael Görner, Robert Haschke, pvanlaar, v4hn, werner291

 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.3-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Add test to ompl interface for StateValidityChecker (#2247 <https://github.com/ros-planning/moveit/issues/2247>)
  * Add test for PlanningContextManager in ompl interface (#2248 <https://github.com/ros-planning/moveit/issues/2248>)
  * Contributors: Jeroen, Tyler Weaver, petkovich

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.1-0noble) noble; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-planners-ompl (1.1.0-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-planners-ompl (1.0.6-0noble) noble; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * [fix]   Fix memcpy bug in copyJointToOMPLState in ompl interface (#2239 <https://github.com/ros-planning/moveit/issues/2239>)


=== debian/control ===
Source: ros-one-moveit-planners-ompl
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-ompl, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-tf2
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-planners-ompl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-ompl, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-tf2
Description: MoveIt interface to OMPL

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-planners-ompl//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-planners-ompl 1.1.16-49noble.20251208.1513

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-49noble.20251208.1513) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 15:13:47 +0000

## ros-one-moveit-planners-ompl 1.1.16-50jammy.20260128.2205

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-50jammy.20260128.2205) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:05:27 +0000

## ros-one-moveit-planners-ompl 1.1.16-50noble.20260128.2214

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-50noble.20260128.2214) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:14:06 +0000

## ros-one-moveit-planners-ompl 1.1.16-51jammy.20260301.2156

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-51jammy.20260301.2156) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 21:56:34 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
 Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-moveit-core, ros-one-moveit-ros-planning, ros-one-ompl, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-tf2
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-planners-ompl

## ros-one-moveit-planners-ompl 1.1.16-51noble.20260301.2150

=== debian/changelog ===
ros-one-moveit-planners-ompl (1.1.16-51noble.20260301.2150) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 21:50:43 +0000
